import * as pulumi from "@pulumi/pulumi";
/**
 * The ``AWS::ApiGateway::Resource`` resource creates a resource in an API.
 */
export declare function getResource(args: GetResourceArgs, opts?: pulumi.InvokeOptions): Promise<GetResourceResult>;
export interface GetResourceArgs {
    /**
     * The ID for the resource. For example: `abc123` .
     */
    resourceId: string;
    /**
     * The string identifier of the associated RestApi.
     */
    restApiId: string;
}
export interface GetResourceResult {
    /**
     * The ID for the resource. For example: `abc123` .
     */
    readonly resourceId?: string;
}
/**
 * The ``AWS::ApiGateway::Resource`` resource creates a resource in an API.
 */
export declare function getResourceOutput(args: GetResourceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourceResult>;
export interface GetResourceOutputArgs {
    /**
     * The ID for the resource. For example: `abc123` .
     */
    resourceId: pulumi.Input<string>;
    /**
     * The string identifier of the associated RestApi.
     */
    restApiId: pulumi.Input<string>;
}
