"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Application = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::AppConfig::Application
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const dependentApplication = new aws_native.appconfig.Application("dependentApplication", {name: "MyApplication"});
 * const dependentConfigurationProfile = new aws_native.appconfig.ConfigurationProfile("dependentConfigurationProfile", {
 *     applicationId: "DependentApplication",
 *     name: "MyTestProfile",
 *     locationUri: "hosted",
 * });
 * const basicHostedConfigurationVersion = new aws_native.appconfig.HostedConfigurationVersion("basicHostedConfigurationVersion", {
 *     applicationId: "DependentApplication",
 *     configurationProfileId: "DependentConfigurationProfile",
 *     description: "A sample hosted configuration version",
 *     content: "My hosted configuration content",
 *     contentType: "text/plain",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const dependentApplication = new aws_native.appconfig.Application("dependentApplication", {name: "MyApplication"});
 * const dependentConfigurationProfile = new aws_native.appconfig.ConfigurationProfile("dependentConfigurationProfile", {
 *     applicationId: dependentApplication.id,
 *     name: "MyTestProfile",
 *     locationUri: "hosted",
 * });
 * const basicHostedConfigurationVersion = new aws_native.appconfig.HostedConfigurationVersion("basicHostedConfigurationVersion", {
 *     applicationId: dependentApplication.id,
 *     configurationProfileId: dependentConfigurationProfile.id,
 *     description: "A sample hosted configuration version",
 *     content: "My hosted configuration content",
 *     contentType: "text/plain",
 * });
 *
 * ```
 */
class Application extends pulumi.CustomResource {
    /**
     * Get an existing Application resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Application(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Application.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Application.__pulumiType;
    }
    /**
     * Create a Application resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["applicationId"] = undefined /*out*/;
        }
        else {
            resourceInputs["applicationId"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(Application.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Application = Application;
/** @internal */
Application.__pulumiType = 'aws-native:appconfig:Application';
//# sourceMappingURL=application.js.map