"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutoScalingConfiguration = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Describes an AWS App Runner automatic configuration resource that enables automatic scaling of instances used to process web requests. You can share an auto scaling configuration across multiple services.
 */
class AutoScalingConfiguration extends pulumi.CustomResource {
    /**
     * Get an existing AutoScalingConfiguration resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new AutoScalingConfiguration(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of AutoScalingConfiguration.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === AutoScalingConfiguration.__pulumiType;
    }
    /**
     * Create a AutoScalingConfiguration resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            resourceInputs["autoScalingConfigurationName"] = args ? args.autoScalingConfigurationName : undefined;
            resourceInputs["maxConcurrency"] = args ? args.maxConcurrency : undefined;
            resourceInputs["maxSize"] = args ? args.maxSize : undefined;
            resourceInputs["minSize"] = args ? args.minSize : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["autoScalingConfigurationArn"] = undefined /*out*/;
            resourceInputs["autoScalingConfigurationRevision"] = undefined /*out*/;
            resourceInputs["latest"] = undefined /*out*/;
        }
        else {
            resourceInputs["autoScalingConfigurationArn"] = undefined /*out*/;
            resourceInputs["autoScalingConfigurationName"] = undefined /*out*/;
            resourceInputs["autoScalingConfigurationRevision"] = undefined /*out*/;
            resourceInputs["latest"] = undefined /*out*/;
            resourceInputs["maxConcurrency"] = undefined /*out*/;
            resourceInputs["maxSize"] = undefined /*out*/;
            resourceInputs["minSize"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["autoScalingConfigurationName", "maxConcurrency", "maxSize", "minSize", "tags[*]"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(AutoScalingConfiguration.__pulumiType, name, resourceInputs, opts);
    }
}
exports.AutoScalingConfiguration = AutoScalingConfiguration;
/** @internal */
AutoScalingConfiguration.__pulumiType = 'aws-native:apprunner:AutoScalingConfiguration';
//# sourceMappingURL=autoScalingConfiguration.js.map