import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::AppSync::DomainName
 */
export declare function getDomainName(args: GetDomainNameArgs, opts?: pulumi.InvokeOptions): Promise<GetDomainNameResult>;
export interface GetDomainNameArgs {
    /**
     * The domain name.
     */
    domainName: string;
}
export interface GetDomainNameResult {
    /**
     * The domain name provided by AWS AppSync .
     */
    readonly appSyncDomainName?: string;
    /**
     * The decription for your domain name.
     */
    readonly description?: string;
    /**
     * The Amazon Resource Name (ARN) for the Domain Name.
     */
    readonly domainNameArn?: string;
    /**
     * The ID of your Amazon Route 53 hosted zone.
     */
    readonly hostedZoneId?: string;
    /**
     * A set of tags (key-value pairs) for this domain name.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::AppSync::DomainName
 */
export declare function getDomainNameOutput(args: GetDomainNameOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDomainNameResult>;
export interface GetDomainNameOutputArgs {
    /**
     * The domain name.
     */
    domainName: pulumi.Input<string>;
}
