"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.HookVersion = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Publishes new or first hook version to AWS CloudFormation Registry.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookVersion = new aws_native.cloudformation.HookVersion("hookVersion", {
 *     typeName: "My::Sample::Hook",
 *     schemaHandlerPackage: "s3://my-sample-hookversion-bucket/my-sample-hook.zip",
 * });
 * const hookDefaultVersion = new aws_native.cloudformation.HookDefaultVersion("hookDefaultVersion", {typeVersionArn: hookVersion.id});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookVersion = new aws_native.cloudformation.HookVersion("hookVersion", {
 *     typeName: "My::Sample::Hook",
 *     schemaHandlerPackage: "s3://my-sample-hookversion-bucket/my-sample-hook.zip",
 * });
 * const hookDefaultVersion = new aws_native.cloudformation.HookDefaultVersion("hookDefaultVersion", {typeVersionArn: hookVersion.id});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookVersion = new aws_native.cloudformation.HookVersion("hookVersion", {
 *     typeName: "My::Sample::Hook",
 *     schemaHandlerPackage: "s3://my-sample-hookversion-bucket/my-sample-hook.zip",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookVersion = new aws_native.cloudformation.HookVersion("hookVersion", {
 *     typeName: "My::Sample::Hook",
 *     schemaHandlerPackage: "s3://my-sample-hookversion-bucket/my-sample-hook.zip",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookVersion = new aws_native.cloudformation.HookVersion("hookVersion", {
 *     typeName: "My::Sample::Hook",
 *     schemaHandlerPackage: "s3://my-sample-hookversion-bucket/my-sample-hook.zip",
 * });
 * const hookDefaultVersion = new aws_native.cloudformation.HookDefaultVersion("hookDefaultVersion", {typeVersionArn: hookVersion.id});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookVersion = new aws_native.cloudformation.HookVersion("hookVersion", {
 *     typeName: "My::Sample::Hook",
 *     schemaHandlerPackage: "s3://my-sample-hookversion-bucket/my-sample-hook.zip",
 * });
 * const hookDefaultVersion = new aws_native.cloudformation.HookDefaultVersion("hookDefaultVersion", {typeVersionArn: hookVersion.id});
 *
 * ```
 */
class HookVersion extends pulumi.CustomResource {
    /**
     * Get an existing HookVersion resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new HookVersion(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of HookVersion.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === HookVersion.__pulumiType;
    }
    /**
     * Create a HookVersion resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.schemaHandlerPackage === undefined) && !opts.urn) {
                throw new Error("Missing required property 'schemaHandlerPackage'");
            }
            if ((!args || args.typeName === undefined) && !opts.urn) {
                throw new Error("Missing required property 'typeName'");
            }
            resourceInputs["executionRoleArn"] = args ? args.executionRoleArn : undefined;
            resourceInputs["loggingConfig"] = args ? args.loggingConfig : undefined;
            resourceInputs["schemaHandlerPackage"] = args ? args.schemaHandlerPackage : undefined;
            resourceInputs["typeName"] = args ? args.typeName : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["isDefaultVersion"] = undefined /*out*/;
            resourceInputs["typeArn"] = undefined /*out*/;
            resourceInputs["versionId"] = undefined /*out*/;
            resourceInputs["visibility"] = undefined /*out*/;
        }
        else {
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["executionRoleArn"] = undefined /*out*/;
            resourceInputs["isDefaultVersion"] = undefined /*out*/;
            resourceInputs["loggingConfig"] = undefined /*out*/;
            resourceInputs["schemaHandlerPackage"] = undefined /*out*/;
            resourceInputs["typeArn"] = undefined /*out*/;
            resourceInputs["typeName"] = undefined /*out*/;
            resourceInputs["versionId"] = undefined /*out*/;
            resourceInputs["visibility"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["executionRoleArn", "loggingConfig", "schemaHandlerPackage", "typeName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(HookVersion.__pulumiType, name, resourceInputs, opts);
    }
}
exports.HookVersion = HookVersion;
/** @internal */
HookVersion.__pulumiType = 'aws-native:cloudformation:HookVersion';
//# sourceMappingURL=hookVersion.js.map