"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Task = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::DataSync::Task.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const task = new aws_native.datasync.Task("task", {
 *     sourceLocationArn: "arn:aws:datasync:us-east-2:111222333444:location/loc-07db7abfc326c50s3",
 *     destinationLocationArn: "arn:aws:datasync:us-east-2:111222333444:location/loc-18ec8bcgd437d61t4",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const task = new aws_native.datasync.Task("task", {
 *     sourceLocationArn: "arn:aws:datasync:us-east-2:111222333444:location/loc-07db7abfc326c50s3",
 *     destinationLocationArn: "arn:aws:datasync:us-east-2:111222333444:location/loc-18ec8bcgd437d61t4",
 * });
 *
 * ```
 */
class Task extends pulumi.CustomResource {
    /**
     * Get an existing Task resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Task(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Task.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Task.__pulumiType;
    }
    /**
     * Create a Task resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.destinationLocationArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'destinationLocationArn'");
            }
            if ((!args || args.sourceLocationArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'sourceLocationArn'");
            }
            resourceInputs["cloudWatchLogGroupArn"] = args ? args.cloudWatchLogGroupArn : undefined;
            resourceInputs["destinationLocationArn"] = args ? args.destinationLocationArn : undefined;
            resourceInputs["excludes"] = args ? args.excludes : undefined;
            resourceInputs["includes"] = args ? args.includes : undefined;
            resourceInputs["manifestConfig"] = args ? args.manifestConfig : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["options"] = args ? args.options : undefined;
            resourceInputs["schedule"] = args ? args.schedule : undefined;
            resourceInputs["sourceLocationArn"] = args ? args.sourceLocationArn : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["taskMode"] = args ? args.taskMode : undefined;
            resourceInputs["taskReportConfig"] = args ? args.taskReportConfig : undefined;
            resourceInputs["destinationNetworkInterfaceArns"] = undefined /*out*/;
            resourceInputs["sourceNetworkInterfaceArns"] = undefined /*out*/;
            resourceInputs["status"] = undefined /*out*/;
            resourceInputs["taskArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["cloudWatchLogGroupArn"] = undefined /*out*/;
            resourceInputs["destinationLocationArn"] = undefined /*out*/;
            resourceInputs["destinationNetworkInterfaceArns"] = undefined /*out*/;
            resourceInputs["excludes"] = undefined /*out*/;
            resourceInputs["includes"] = undefined /*out*/;
            resourceInputs["manifestConfig"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["options"] = undefined /*out*/;
            resourceInputs["schedule"] = undefined /*out*/;
            resourceInputs["sourceLocationArn"] = undefined /*out*/;
            resourceInputs["sourceNetworkInterfaceArns"] = undefined /*out*/;
            resourceInputs["status"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["taskArn"] = undefined /*out*/;
            resourceInputs["taskMode"] = undefined /*out*/;
            resourceInputs["taskReportConfig"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["destinationLocationArn", "sourceLocationArn", "taskMode"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Task.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Task = Task;
/** @internal */
Task.__pulumiType = 'aws-native:datasync:Task';
//# sourceMappingURL=task.js.map