import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::Detective::OrganizationAdmin
 */
export declare function getOrganizationAdmin(args: GetOrganizationAdminArgs, opts?: pulumi.InvokeOptions): Promise<GetOrganizationAdminResult>;
export interface GetOrganizationAdminArgs {
    /**
     * The account ID of the account that should be registered as your Organization's delegated administrator for Detective
     */
    accountId: string;
}
export interface GetOrganizationAdminResult {
    /**
     * The Detective graph ARN
     */
    readonly graphArn?: string;
}
/**
 * Resource schema for AWS::Detective::OrganizationAdmin
 */
export declare function getOrganizationAdminOutput(args: GetOrganizationAdminOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetOrganizationAdminResult>;
export interface GetOrganizationAdminOutputArgs {
    /**
     * The account ID of the account that should be registered as your Organization's delegated administrator for Detective
     */
    accountId: pulumi.Input<string>;
}
