"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceCollection = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * This resource schema represents the ResourceCollection resource in the Amazon DevOps Guru.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myResourceCollection = new aws_native.devopsguru.ResourceCollection("myResourceCollection", {resourceCollectionFilter: {
 *     cloudFormation: {
 *         stackNames: [
 *             "StackA",
 *             "StackB",
 *         ],
 *     },
 * }});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myResourceCollection = new aws_native.devopsguru.ResourceCollection("myResourceCollection", {resourceCollectionFilter: {
 *     cloudFormation: {
 *         stackNames: [
 *             "StackA",
 *             "StackB",
 *         ],
 *     },
 * }});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myResourceCollection = new aws_native.devopsguru.ResourceCollection("myResourceCollection", {resourceCollectionFilter: {
 *     cloudFormation: {
 *         stackNames: ["*"],
 *     },
 * }});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myResourceCollection = new aws_native.devopsguru.ResourceCollection("myResourceCollection", {resourceCollectionFilter: {
 *     cloudFormation: {
 *         stackNames: ["*"],
 *     },
 * }});
 *
 * ```
 */
class ResourceCollection extends pulumi.CustomResource {
    /**
     * Get an existing ResourceCollection resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new ResourceCollection(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ResourceCollection.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ResourceCollection.__pulumiType;
    }
    /**
     * Create a ResourceCollection resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.resourceCollectionFilter === undefined) && !opts.urn) {
                throw new Error("Missing required property 'resourceCollectionFilter'");
            }
            resourceInputs["resourceCollectionFilter"] = args ? args.resourceCollectionFilter : undefined;
            resourceInputs["resourceCollectionType"] = undefined /*out*/;
        }
        else {
            resourceInputs["resourceCollectionFilter"] = undefined /*out*/;
            resourceInputs["resourceCollectionType"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(ResourceCollection.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ResourceCollection = ResourceCollection;
/** @internal */
ResourceCollection.__pulumiType = 'aws-native:devopsguru:ResourceCollection';
//# sourceMappingURL=resourceCollection.js.map