import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Schema of AWS::EC2::IPAMPoolCidr Type
 */
export declare function getIpamPoolCidr(args: GetIpamPoolCidrArgs, opts?: pulumi.InvokeOptions): Promise<GetIpamPoolCidrResult>;
export interface GetIpamPoolCidrArgs {
    /**
     * Id of the IPAM Pool Cidr.
     */
    ipamPoolCidrId: string;
    /**
     * Id of the IPAM Pool.
     */
    ipamPoolId: string;
}
export interface GetIpamPoolCidrResult {
    /**
     * Id of the IPAM Pool Cidr.
     */
    readonly ipamPoolCidrId?: string;
    /**
     * Provisioned state of the cidr.
     */
    readonly state?: string;
}
/**
 * Resource Schema of AWS::EC2::IPAMPoolCidr Type
 */
export declare function getIpamPoolCidrOutput(args: GetIpamPoolCidrOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetIpamPoolCidrResult>;
export interface GetIpamPoolCidrOutputArgs {
    /**
     * Id of the IPAM Pool Cidr.
     */
    ipamPoolCidrId: pulumi.Input<string>;
    /**
     * Id of the IPAM Pool.
     */
    ipamPoolId: pulumi.Input<string>;
}
