import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::EC2::VPCBlockPublicAccessExclusion.
 */
export declare function getVpcBlockPublicAccessExclusion(args: GetVpcBlockPublicAccessExclusionArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcBlockPublicAccessExclusionResult>;
export interface GetVpcBlockPublicAccessExclusionArgs {
    /**
     * The ID of the exclusion
     */
    exclusionId: string;
}
export interface GetVpcBlockPublicAccessExclusionResult {
    /**
     * The ID of the exclusion
     */
    readonly exclusionId?: string;
    /**
     * The desired Block Public Access Exclusion Mode for a specific VPC/Subnet.
     */
    readonly internetGatewayExclusionMode?: enums.ec2.VpcBlockPublicAccessExclusionInternetGatewayExclusionMode;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EC2::VPCBlockPublicAccessExclusion.
 */
export declare function getVpcBlockPublicAccessExclusionOutput(args: GetVpcBlockPublicAccessExclusionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcBlockPublicAccessExclusionResult>;
export interface GetVpcBlockPublicAccessExclusionOutputArgs {
    /**
     * The ID of the exclusion
     */
    exclusionId: pulumi.Input<string>;
}
