import * as pulumi from "@pulumi/pulumi";
/**
 * VPC Route Server Association
 */
export declare class RouteServerAssociation extends pulumi.CustomResource {
    /**
     * Get an existing RouteServerAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): RouteServerAssociation;
    /**
     * Returns true if the given object is an instance of RouteServerAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is RouteServerAssociation;
    /**
     * Route Server ID
     */
    readonly routeServerId: pulumi.Output<string>;
    /**
     * VPC ID
     */
    readonly vpcId: pulumi.Output<string>;
    /**
     * Create a RouteServerAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: RouteServerAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a RouteServerAssociation resource.
 */
export interface RouteServerAssociationArgs {
    /**
     * Route Server ID
     */
    routeServerId: pulumi.Input<string>;
    /**
     * VPC ID
     */
    vpcId: pulumi.Input<string>;
}
