import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::FIS::TargetAccountConfiguration
 */
export declare function getTargetAccountConfiguration(args: GetTargetAccountConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetTargetAccountConfigurationResult>;
export interface GetTargetAccountConfigurationArgs {
    /**
     * The AWS account ID of the target account.
     */
    accountId: string;
    /**
     * The ID of the experiment template.
     */
    experimentTemplateId: string;
}
export interface GetTargetAccountConfigurationResult {
    /**
     * The description of the target account.
     */
    readonly description?: string;
    /**
     * The Amazon Resource Name (ARN) of an IAM role for the target account.
     */
    readonly roleArn?: string;
}
/**
 * Resource schema for AWS::FIS::TargetAccountConfiguration
 */
export declare function getTargetAccountConfigurationOutput(args: GetTargetAccountConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTargetAccountConfigurationResult>;
export interface GetTargetAccountConfigurationOutputArgs {
    /**
     * The AWS account ID of the target account.
     */
    accountId: pulumi.Input<string>;
    /**
     * The ID of the experiment template.
     */
    experimentTemplateId: pulumi.Input<string>;
}
