import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * This creates a Resource of UsageProfile type.
 */
export declare class UsageProfile extends pulumi.CustomResource {
    /**
     * Get an existing UsageProfile resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): UsageProfile;
    /**
     * Returns true if the given object is an instance of UsageProfile.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is UsageProfile;
    /**
     * UsageProfile configuration for supported service ex: (Jobs, Sessions).
     */
    readonly configuration: pulumi.Output<outputs.glue.UsageProfileProfileConfiguration | undefined>;
    /**
     * Creation time.
     */
    readonly createdOn: pulumi.Output<string>;
    /**
     * The description of the UsageProfile.
     */
    readonly description: pulumi.Output<string | undefined>;
    /**
     * The name of the UsageProfile.
     */
    readonly name: pulumi.Output<string>;
    /**
     * The tags to be applied to this UsageProfiles.
     */
    readonly tags: pulumi.Output<outputs.Tag[] | undefined>;
    /**
     * Create a UsageProfile resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: UsageProfileArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a UsageProfile resource.
 */
export interface UsageProfileArgs {
    /**
     * UsageProfile configuration for supported service ex: (Jobs, Sessions).
     */
    configuration?: pulumi.Input<inputs.glue.UsageProfileProfileConfigurationArgs>;
    /**
     * The description of the UsageProfile.
     */
    description?: pulumi.Input<string>;
    /**
     * The name of the UsageProfile.
     */
    name?: pulumi.Input<string>;
    /**
     * The tags to be applied to this UsageProfiles.
     */
    tags?: pulumi.Input<pulumi.Input<inputs.TagArgs>[]>;
}
