import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Use the AWS::IoT::RoleAlias resource to declare an AWS IoT RoleAlias.
 */
export declare function getRoleAlias(args: GetRoleAliasArgs, opts?: pulumi.InvokeOptions): Promise<GetRoleAliasResult>;
export interface GetRoleAliasArgs {
    /**
     * The role alias.
     */
    roleAlias: string;
}
export interface GetRoleAliasResult {
    /**
     * The number of seconds for which the credential is valid.
     */
    readonly credentialDurationSeconds?: number;
    /**
     * The role alias ARN.
     */
    readonly roleAliasArn?: string;
    /**
     * The role ARN.
     */
    readonly roleArn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     *
     * For more information, see [Tag](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-resource-tags.html) .
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Use the AWS::IoT::RoleAlias resource to declare an AWS IoT RoleAlias.
 */
export declare function getRoleAliasOutput(args: GetRoleAliasOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRoleAliasResult>;
export interface GetRoleAliasOutputArgs {
    /**
     * The role alias.
     */
    roleAlias: pulumi.Input<string>;
}
