import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * A KendraRanking Rescore execution plan
 */
export declare function getExecutionPlan(args: GetExecutionPlanArgs, opts?: pulumi.InvokeOptions): Promise<GetExecutionPlanResult>;
export interface GetExecutionPlanArgs {
    /**
     * The identifier of the rescore execution plan.
     */
    id: string;
}
export interface GetExecutionPlanResult {
    /**
     * The Amazon Resource Name (ARN) of the rescore execution plan.
     */
    readonly arn?: string;
    /**
     * Capacity units
     */
    readonly capacityUnits?: outputs.kendraranking.ExecutionPlanCapacityUnitsConfiguration;
    /**
     * A description for the execution plan
     */
    readonly description?: string;
    /**
     * The identifier of the rescore execution plan.
     */
    readonly id?: string;
    /**
     * A name for the rescore execution plan.
     */
    readonly name?: string;
    /**
     * Tags for labeling the execution plan
     */
    readonly tags?: outputs.Tag[];
}
/**
 * A KendraRanking Rescore execution plan
 */
export declare function getExecutionPlanOutput(args: GetExecutionPlanOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetExecutionPlanResult>;
export interface GetExecutionPlanOutputArgs {
    /**
     * The identifier of the rescore execution plan.
     */
    id: pulumi.Input<string>;
}
