import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * An OpenSearch Serverless index resource
 */
export declare function getIndex(args: GetIndexArgs, opts?: pulumi.InvokeOptions): Promise<GetIndexResult>;
export interface GetIndexArgs {
    /**
     * The endpoint for the collection.
     */
    collectionEndpoint: string;
    /**
     * The name of the OpenSearch Serverless index.
     */
    indexName: string;
}
export interface GetIndexResult {
    /**
     * Index Mappings
     */
    readonly mappings?: outputs.opensearchserverless.MappingsProperties;
    /**
     * Index settings
     */
    readonly settings?: outputs.opensearchserverless.IndexSettings;
    /**
     * The unique identifier for the index.
     */
    readonly uuid?: string;
}
/**
 * An OpenSearch Serverless index resource
 */
export declare function getIndexOutput(args: GetIndexOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetIndexResult>;
export interface GetIndexOutputArgs {
    /**
     * The endpoint for the collection.
     */
    collectionEndpoint: pulumi.Input<string>;
    /**
     * The name of the OpenSearch Serverless index.
     */
    indexName: pulumi.Input<string>;
}
