import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::ResourceExplorer2::DefaultViewAssociation Resource Type
 */
export declare function getDefaultViewAssociation(args: GetDefaultViewAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetDefaultViewAssociationResult>;
export interface GetDefaultViewAssociationArgs {
    /**
     * The AWS principal that the default view is associated with, used as the unique identifier for this resource.
     */
    associatedAwsPrincipal: string;
}
export interface GetDefaultViewAssociationResult {
    /**
     * The AWS principal that the default view is associated with, used as the unique identifier for this resource.
     */
    readonly associatedAwsPrincipal?: string;
    /**
     * The ARN of the view to set as the default for the AWS Region and AWS account in which you call this operation. The specified view must already exist in the specified Region.
     */
    readonly viewArn?: string;
}
/**
 * Definition of AWS::ResourceExplorer2::DefaultViewAssociation Resource Type
 */
export declare function getDefaultViewAssociationOutput(args: GetDefaultViewAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDefaultViewAssociationResult>;
export interface GetDefaultViewAssociationOutputArgs {
    /**
     * The AWS principal that the default view is associated with, used as the unique identifier for this resource.
     */
    associatedAwsPrincipal: pulumi.Input<string>;
}
