import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::ResolverDNSSECConfig.
 */
export declare class ResolverDnssecConfig extends pulumi.CustomResource {
    /**
     * Get an existing ResolverDnssecConfig resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): ResolverDnssecConfig;
    /**
     * Returns true if the given object is an instance of ResolverDnssecConfig.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ResolverDnssecConfig;
    /**
     * Id
     */
    readonly awsId: pulumi.Output<string>;
    /**
     * AccountId
     */
    readonly ownerId: pulumi.Output<string>;
    /**
     * ResourceId
     */
    readonly resourceId: pulumi.Output<string | undefined>;
    /**
     * ResolverDNSSECValidationStatus, possible values are ENABLING, ENABLED, DISABLING AND DISABLED.
     */
    readonly validationStatus: pulumi.Output<enums.route53resolver.ResolverDnssecConfigValidationStatus>;
    /**
     * Create a ResolverDnssecConfig resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: ResolverDnssecConfigArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a ResolverDnssecConfig resource.
 */
export interface ResolverDnssecConfigArgs {
    /**
     * ResourceId
     */
    resourceId?: pulumi.Input<string>;
}
