import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::SES::MailManagerAddonSubscription Resource Type
 */
export declare function getMailManagerAddonSubscription(args: GetMailManagerAddonSubscriptionArgs, opts?: pulumi.InvokeOptions): Promise<GetMailManagerAddonSubscriptionResult>;
export interface GetMailManagerAddonSubscriptionArgs {
    /**
     * The unique ID of the Add On subscription.
     */
    addonSubscriptionId: string;
}
export interface GetMailManagerAddonSubscriptionResult {
    /**
     * The Amazon Resource Name (ARN) of the Add On subscription.
     */
    readonly addonSubscriptionArn?: string;
    /**
     * The unique ID of the Add On subscription.
     */
    readonly addonSubscriptionId?: string;
    /**
     * The tags used to organize, track, or control access for the resource. For example, { "tags": {"key1":"value1", "key2":"value2"} }.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::SES::MailManagerAddonSubscription Resource Type
 */
export declare function getMailManagerAddonSubscriptionOutput(args: GetMailManagerAddonSubscriptionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMailManagerAddonSubscriptionResult>;
export interface GetMailManagerAddonSubscriptionOutputArgs {
    /**
     * The unique ID of the Add On subscription.
     */
    addonSubscriptionId: pulumi.Input<string>;
}
