import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SSMContacts::Contact
 */
export declare function getContact(args: GetContactArgs, opts?: pulumi.InvokeOptions): Promise<GetContactResult>;
export interface GetContactArgs {
    /**
     * The Amazon Resource Name (ARN) of the contact.
     */
    arn: string;
}
export interface GetContactResult {
    /**
     * The Amazon Resource Name (ARN) of the contact.
     */
    readonly arn?: string;
    /**
     * Name of the contact. String value with 3 to 256 characters. Only alphabetical, space, numeric characters, dash, or underscore allowed.
     */
    readonly displayName?: string;
}
/**
 * Resource Type definition for AWS::SSMContacts::Contact
 */
export declare function getContactOutput(args: GetContactOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetContactResult>;
export interface GetContactOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the contact.
     */
    arn: pulumi.Input<string>;
}
