import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Wisdom::AssistantAssociation Resource Type
 */
export declare function getAssistantAssociation(args: GetAssistantAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetAssistantAssociationResult>;
export interface GetAssistantAssociationArgs {
    /**
     * The ID of the association.
     */
    assistantAssociationId: string;
    /**
     * The identifier of the Wisdom assistant.
     */
    assistantId: string;
}
export interface GetAssistantAssociationResult {
    /**
     * The Amazon Resource Name (ARN) of the Wisdom assistant.
     */
    readonly assistantArn?: string;
    /**
     * The Amazon Resource Name (ARN) of the assistant association.
     */
    readonly assistantAssociationArn?: string;
    /**
     * The ID of the association.
     */
    readonly assistantAssociationId?: string;
}
/**
 * Definition of AWS::Wisdom::AssistantAssociation Resource Type
 */
export declare function getAssistantAssociationOutput(args: GetAssistantAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAssistantAssociationResult>;
export interface GetAssistantAssociationOutputArgs {
    /**
     * The ID of the association.
     */
    assistantAssociationId: pulumi.Input<string>;
    /**
     * The identifier of the Wisdom assistant.
     */
    assistantId: pulumi.Input<string>;
}
