import * as pulumi from "@pulumi/pulumi";
/**
 * A version for the specified customer-managed message template within the specified knowledge base.
 */
export declare function getMessageTemplateVersion(args: GetMessageTemplateVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetMessageTemplateVersionResult>;
export interface GetMessageTemplateVersionArgs {
    /**
     * The unqualified Amazon Resource Name (ARN) of the message template version.
     */
    messageTemplateVersionArn: string;
}
export interface GetMessageTemplateVersionResult {
    /**
     * The content SHA256 of the message template.
     */
    readonly messageTemplateContentSha256?: string;
    /**
     * The unqualified Amazon Resource Name (ARN) of the message template version.
     */
    readonly messageTemplateVersionArn?: string;
    /**
     * Current version number of the message template.
     */
    readonly messageTemplateVersionNumber?: number;
}
/**
 * A version for the specified customer-managed message template within the specified knowledge base.
 */
export declare function getMessageTemplateVersionOutput(args: GetMessageTemplateVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMessageTemplateVersionResult>;
export interface GetMessageTemplateVersionOutputArgs {
    /**
     * The unqualified Amazon Resource Name (ARN) of the message template version.
     */
    messageTemplateVersionArn: pulumi.Input<string>;
}
